<?php 



class DaoDiferenciais extends conexao {

public function Atualizar(diferenciais $diferenciais) {

try {

if ($diferenciais->getDif_id() != '') {

$sql = " UPDATE diferenciais SET
dif_nome = ?,
dif_status = ?,
dif_imagem = ?
WHERE dif_id = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $diferenciais->getDif_nome());
$stmt->bindValue(2, $diferenciais->getDif_status());
$stmt->bindValue(3, $diferenciais->getDif_imagem());
$stmt->bindValue(4, $diferenciais->getDif_id());


} else {

$sql = " INSERT INTO diferenciais (dif_nome,dif_status,dif_imagem)
VALUES (?,?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $diferenciais->getDif_nome());
$stmt->bindValue(2, $diferenciais->getDif_status());
$stmt->bindValue(3, $diferenciais->getDif_imagem());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function PesquisarDiferenciais($codigo){
$sql = " SELECT * FROM diferenciais WHERE dif_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarDiferenciais(){
$sql = " SELECT * FROM diferenciais ORDER BY dif_id ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarDiferenciaisStatus(){
$sql = " SELECT * FROM diferenciais WHERE dif_status='ATIVO' ORDER BY dif_id ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}



	
public function deletar($dif_id){		
$sql = " DELETE FROM diferenciais WHERE dif_id = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $dif_id); 
$stmt->execute();
}

 
}
